"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluginExternals = exports.sharedExternals = void 0;
const child_process_1 = require("child_process");
exports.sharedExternals = [
    'electron',
    'keytar',
    'kerberos',
    'interruptor',
    'os-dns-native',
    'system-ca',
    'win-export-certificate-and-key',
    'macos-export-certificate-and-key',
    'mongodb-client-encryption',
    'bson-ext',
    'snappy',
    'snappy/package.json',
    '@mongosh/node-runtime-worker-thread',
];
const monorepoWorkspaces = JSON.parse((0, child_process_1.execSync)('npx lerna list --all --json', {
    encoding: 'utf-8',
    stdio: ['ignore', 'pipe', 'ignore'],
})).map((ws) => ws.name);
exports.pluginExternals = [
    ...monorepoWorkspaces,
    'react',
    '@mongodb-js/mongodb-constants',
    'bson',
];
//# sourceMappingURL=externals.js.map